ureadahead reports relative path errors in journalctl output

Bug #1579580 reported by Seth Arnold on 2016-05-08
410
This bug affects 88 people
Affects Status Importance Assigned to Milestone
ureadahead (Ubuntu)
High
Unassigned
Xenial
Low
Dan Streetman
Bionic
Low
Dan Streetman

Bug Description

[impact]

ureadahead logs thousands of lines of useless noise on each boot.

[test case]

install bionic on physical hardware (ureadhead doesn't run under virt) and check the boot logs:

#journalctl -b | grep ureadahead | wc -l
30244

ureadahead stores its data in /var/lib/ureadahead/pack so on future boots, it doesn't print as many noise messages (if any), until the pack file is a month or more old, at which time it recreates it (at the next boot) and prints all the noise out again.

to reproduce this test case without waiting a month, just remove the pack file and reboot.

[regression potential]

very little, adding the -q param only causes libnih to switch to quiet mode. any regression would likely be around ureadahead not starting at all, which really wouldn't be that bad anyway, as ureadahead has been removed entirely from Ubuntu starting in cosmic.

[other info]

original description:

--

ureadahead reports relative path errors in my journalctl output.

This is currently 4368 lines of useless annoyances in my logs.

To see if you have this problem, run: journalctl -b | grep ureadahead | grep relative | wc -l

Thanks

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: ureadahead 0.100.0-19
ProcVersionSignature: Ubuntu 4.4.0-22.39-generic 4.4.8
Uname: Linux 4.4.0-22-generic x86_64
NonfreeKernelModules: zfs zunicode zcommon znvpair zavl
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
Date: Sun May 8 15:55:18 2016
InstallationDate: Installed on 2016-04-04 (34 days ago)
InstallationMedia: Ubuntu-Server 16.04 LTS "Xenial Xerus" - Beta amd64 (20160325)
ProcEnviron:
 TERM=linux
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: ureadahead
UpgradeStatus: No upgrade log present (probably fresh install)

Seth Arnold (seth-arnold) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ureadahead (Ubuntu):
status: New → Confirmed
Changed in ureadahead (Ubuntu):
importance: Undecided → High
Rich McAllister (rfm) wrote :

/sbin/ureadahead is writing out warnings every time it gets a relative path from debugfs. This seems excessively wordy, but putting a -q on the ExecStart in ureadahead.service would shut it up.

I did a systemd drop-in as a workaround by creating /etc/systemd/system/ureadahead.service.d/quiet.conf containing

[Service]
ExecStart=
ExecStart=/sbin/ureadahead -q

xb5i7o (xb5i7o) wrote :

Sorry if this is a stupid question, but what do you mean by 'every time it gets a relative path from debugfs' ?
Is there a reason why its getting a relative path?

I sometimes get loads of ureadahead messages like this in logs straight after random reboots but not always.

Like today, The problem was (before i rebooted) that i couldnt unmount a veracrypt volume. It kept saying resource busy etc..(for the first time ever) I checked all processes and nothing was keeping the volume busy. So i just rebooted and straight after i rebooted, the ureadahead messages appeared in logs.

xb5i7o (xb5i7o) wrote :

I am using Ubuntu 16.04

Seth Arnold (seth-arnold) wrote :

xb5i70, ureadahead gets a list of files accessed during boot using the debugfs filesystem and the linux kernel's tracing mechanism. You can see the sources at http://bazaar.launchpad.net/~canonical-scott/ureadahead/trunk/view/head:/src/trace.c#L115 for the raw details.

Thanks

Achim Behrens (k1l) wrote :

running 18.04.

saw a massiv syslog file and running grep -i uread /var/log/syslog.1|grep -i "Feb 25 12" |wc -l:
> 63197

i dont think we need this to make syslog extra big for no reason.

Pavel Petrovic (pavel-petrovic) wrote :

These messages were produced on my system after upgrading Lubuntu 17.10 to 18.04 beta.
One wants to hunt issues in syslog after upgrade, but one has to fight with these obtrusive messages. :)

dino99 (9d9) on 2018-04-08
tags: added: bionic
Bob Marley (szemet1) wrote :

Same on Ubuntu 17.10 with the latest updates and encrypted file system. During boot the process stops at the Ubuntu label with the 5 dots and does nothing else, but generates these messages.

Apr 17 19:54:33 L5280 sudo: pam_ecryptfs: pam_sm_authenticate: /home/user1 is already mounted
Apr 17 19:54:39 L5280 systemd[1]: Starting Stop ureadahead data collection...
Apr 17 19:54:39 L5280 systemd[1]: Stopping Read required files in advance...
Apr 17 19:54:39 L5280 systemd[1]: Started Stop ureadahead data collection.
Apr 17 19:54:39 L5280 ureadahead[411]: ureadahead:events/fs/open_exec/enable: Ignored relative path
Apr 17 19:54:39 L5280 ureadahead[411]: ureadahead:buffer_size_kb: Ignored relative path
Apr 17 19:54:39 L5280 ureadahead[411]: ureadahead:tracing_on: Ignored relative path
Apr 17 19:54:39 L5280 ureadahead[411]: ureadahead:: Ignored relative path
Apr 17 19:54:39 L5280 ureadahead[411]: ureadahead:etc: Ignored relative path
Apr 17 19:54:39 L5280 ureadahead[411]: ureadahead:systemd: Ignored relative path
Apr 17 19:54:39 L5280 ureadahead[411]: ureadahead:network: Ignored relative path
Apr 17 19:54:39 L5280 ureadahead[411]: ureadahead:: Ignored relative path
Apr 17 19:54:39 L5280 ureadahead[411]: ureadahead:run: Ignored relative path
Apr 17 19:54:39 L5280 ureadahead[411]: ureadahead:systemd: Ignored relative path
Apr 17 19:54:39 L5280 ureadahead[411]: ureadahead:: Ignored relative path
Apr 17 19:54:39 L5280 ureadahead[411]: ureadahead:usr: Ignored relative path
Apr 17 19:54:39 L5280 ureadahead[411]: ureadahead:lib: Ignored relative path
Apr 17 19:54:39 L5280 ureadahead[411]: ureadahead:systemd: Ignored relative path
....
Apr 17 19:54:40 L5280 ureadahead[411]: message repeated 2 times: [ ureadahead:class: Ignored relative path]
Apr 17 19:54:40 L5280 ureadahead[411]: ureadahead:dmi: Ignored relative path
Apr 17 19:54:40 L5280 ureadahead[411]: message repeated 2 times: [ ureadahead:dmi: Ignored relative path]
Apr 17 19:54:40 L5280 ureadahead[411]: ureadahead:..: Ignored relative path
Apr 17 19:54:40 L5280 ureadahead[411]: message repeated 4 times: [ ureadahead:..: Ignored relative path]

And no login screen. I had to hard reset the Dell Latitude 5280 at least 4-5 times before it could proceed to the login screen.

ubuntu--vg-swap_1: 0 66871296 linear
cryptswap1: 0 66870272 crypt
ubuntu--vg-root: 0 907337728 linear
sda3_crypt: 0 974217216 crypt

cazacugmihai (cazacugmihai) wrote :

Hi,

I have this error on Ubuntu 18.04 after upgrading the system from 16.04.

>>> grep -i uread /var/log/syslog | grep -i "Apr 30 10" | wc -l
>>> 69482

and the boot time is very slow (it takes now ~ 2 minutes instead of ~7 seconds - as I had using the previous version of Ubuntu).

Here you can find a small part from the log:

<log>
...
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:pci0000:00: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:0000:00:14.0: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:usb1: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:1-12: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:1-12:1.0: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:sys: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:bus: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:usb: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:devices: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:1-0:1.0: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:..: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: message repeated 2 times: [ ureadahead:..: Ignored relative path]
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:devices: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:pci0000:00: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:0000:00:14.0: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:usb1: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:1-0:1.0: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:sys: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:bus: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:usb: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:devices: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:usb2: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:..: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: message repeated 2 times: [ ureadahead:..: Ignored relative path]
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:devices: Ignored relative path
Apr 30 10:23:28 zzzz ureadahead[302]: ureadahead:pci0000:00: Ignored relative path
...
</log>

Thanks!

Download full text (8.1 KiB)

Fresh install of UbuntuStudio 18.04, same issue:
# grep -i uread /var/log/syslog | grep -i "May 25 12:43" | wc -l
93742

May 25 12:43:54 darkstar ureadahead[411]: ureadahead:sys: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:class: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:sound: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:card0: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:..: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:..: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:devices: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:pci0000:00: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:0000:00:1b.0: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:sound: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:card0: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:sys: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:class: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:sound: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:card0: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:..: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:..: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:devices: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:pci0000:00: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:0000:00:1b.0: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:sound: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:card0: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:run: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:user: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:1000: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:systemd: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:run: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:user: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:1000: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:systemd: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:etc: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:systemd: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:user: Ignored relative path
May 25 12:43:54 darkstar ureadahead[411]: ureadahead:: Ign...

Read more...

Robert Clayton (rnctx) wrote :

3597 lines here on ubuntu 18.04 upgraded from 16.04.

92454 entries here, Ubuntu 18.04, fresh installation.

Solution per comment #3 fixed the problem for me as well, ureadahead is no longer spammy.

Magnus Helander (mhelander) wrote :

Insane amounts in /var/log/syslog....

Jun 10 19:52:56 think420 ureadahead[273]: ureadahead:usb: Ignored relative path
Jun 10 19:52:56 think420 ureadahead[273]: ureadahead:devices: Ignored relative path
Jun 10 19:52:56 think420 ureadahead[273]: ureadahead:1-1.3:1.0: Ignored relative path
Jun 10 19:52:56 think420 ureadahead[273]: ureadahead:..: Ignored relative path
Jun 10 19:52:56 think420 ureadahead[273]: message repeated 2 times: [ ureadahead:..: Ignored relative path]
Jun 10 19:52:56 think420 ureadahead[273]: ureadahead:devices: Ignored relative path
Jun 10 19:52:56 think420 ureadahead[273]: ureadahead:pci0000:00: Ignored relative path
Jun 10 19:52:56 think420 ureadahead[273]: ureadahead:0000:00:1a.0: Ignored relative path
Jun 10 19:52:56 think420 ureadahead[273]: ureadahead:usb1: Ignored relative path
Jun 10 19:52:56 think420 ureadahead[273]: ureadahead:1-1: Ignored relative path
Jun 10 19:52:56 think420 ureadahead[273]: ureadahead:1-1.3: Ignored relative path
Jun 10 19:52:56 think420 ureadahead[273]: ureadahead:1-1.3:1.0: Ignored relative path

Seth Arnold (seth-arnold) wrote :

Foundations team, has anyone looked at ureadahead lately to make sure that it still makes sense to include it?

(a) I suspect SSDs don't benefit much from it
(b) I suspect systems with spinning metal drives are also unlikely to have the memory to cache all those files, nor the free IO cycles to spend on caching.
(c) If 90k files are ignored entirely because the paths are all relative, is anything being cached at all?

I realize these are contradictory concerns. :)

Thanks

NecLimDul (neclimdul) wrote :

not foundation team but looking at the issue
a) Difference is much smaller but difference between memory and SSD is still very large.
b) its only triggering a read/cache of files that would be read anyways. I have quite a bit starting up on boot and if I'm reading correctly there are 2400 file and they are mostly small executables and conf files.
c) As noted the cached list is smaller than 90k files

More importantly in the messages I see here and for me skimming my log the messages seem to mostly be '..' or a list of individual directories in the /sys filesystem. Its weird but not useful to judge what's being cached.

Sly_tom_cat (slytomcat) wrote :

The same issue on Xubuntu 18.04.1: lots of ureadahead messages with "Ignored relative path"

I solved it by instruction found here (in Russian language): https://sysadmin.ru/articles/ubiraem-soobshheniya-ureadahead-ignored-relative-path-v-syslog

1. run 'sudo ureadahead --force-trace --verbose /'
2. wait a little and press CRTL-C
3. reload system - messages should disappear.

I would just remove ureadahead using apt. It's just another canonical project that nobody has looked at in years and not a priority. I see no difference whatsoever without it and maybe you won't either.

Anders Hall (a.hall) wrote :

Thanks, workaround in #19 seem to have removed (thousands of) these messages.

Be aware the messages will come back next time you boot after
upgrading a package that touches something in /etc, which will trigger
another scan by ureadahead. Better is the workaround I gave back in
#9, but really what I recommend is just purge ureadahead. ureadahead
only ever can help the second (and subsequent) time one boots after
updating the system, and these days I never reboot unless I have
updated, since suspend works for desktops/laptops and who reboots
servers if you don't have to?

Rich
On Sat, Sep 22, 2018 at 8:54 AM Anders Hall <email address hidden> wrote:
>
> Thanks, workaround in #19 seem to have removed (thousands of) these
> messages.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1579580
>
> Title:
> ureadahead reports relative path errors in journalctl output
>
> Status in ureadahead package in Ubuntu:
> Confirmed
>
> Bug description:
> ureadahead reports relative path errors in my journalctl output.
>
> This is currently 4368 lines of useless annoyances in my logs.
>
> To see if you have this problem, run: journalctl -b | grep ureadahead
> | grep relative | wc -l
>
> Thanks
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: ureadahead 0.100.0-19
> ProcVersionSignature: Ubuntu 4.4.0-22.39-generic 4.4.8
> Uname: Linux 4.4.0-22-generic x86_64
> NonfreeKernelModules: zfs zunicode zcommon znvpair zavl
> ApportVersion: 2.20.1-0ubuntu2
> Architecture: amd64
> Date: Sun May 8 15:55:18 2016
> InstallationDate: Installed on 2016-04-04 (34 days ago)
> InstallationMedia: Ubuntu-Server 16.04 LTS "Xenial Xerus" - Beta amd64 (20160325)
> ProcEnviron:
> TERM=linux
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: ureadahead
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/ureadahead/+bug/1579580/+subscriptions

midenok (midenok) wrote :

Why it contains ExecStart 2 times?

[Service]
ExecStart=
ExecStart=/sbin/ureadahead -q

Did you mean ExecStop?

[Service]
ExecStop=
ExecStart=/sbin/ureadahead -q

Rich McAllister (rfm) wrote :

No, ExecStart twice is correct. This is the way systemd overrides
work; normally a value for a keyword adds to the list of values from
the base .service definition. I don't want that, I want to replace
it. The special ExecStart= with no value tells systemd to reset the
base value to empty, then the second one starts a new list thus
replacing the old command. (This is all explained in the systemd.unit
man page.)

I should tell you that I no longer use this workaround, since after a
fair amount of working with and investigating ureadahead (I thought I
might actually contribute a permanent fix) I decided that ureadahead
is useless in my configuration, since I only reboot after a kernel
update anyway, and ureadahead only can ever help on the second and
subsequent boots of the same config (most any changes to /etc will
cause ureadahead to rescan at the the next boot.) So I have just
purged ureadahead on all my systems.
On Sat, Sep 29, 2018 at 5:39 AM midenok <email address hidden> wrote:
>
> Why it contains ExecStart 2 times?
>
> [Service]
> ExecStart=
> ExecStart=/sbin/ureadahead -q
>
> Did you mean ExecStop?
>
> [Service]
> ExecStop=
> ExecStart=/sbin/ureadahead -q
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1579580
>
> Title:
> ureadahead reports relative path errors in journalctl output
>
> Status in ureadahead package in Ubuntu:
> Confirmed
>
> Bug description:
> ureadahead reports relative path errors in my journalctl output.
>
> This is currently 4368 lines of useless annoyances in my logs.
>
> To see if you have this problem, run: journalctl -b | grep ureadahead
> | grep relative | wc -l
>
> Thanks
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: ureadahead 0.100.0-19
> ProcVersionSignature: Ubuntu 4.4.0-22.39-generic 4.4.8
> Uname: Linux 4.4.0-22-generic x86_64
> NonfreeKernelModules: zfs zunicode zcommon znvpair zavl
> ApportVersion: 2.20.1-0ubuntu2
> Architecture: amd64
> Date: Sun May 8 15:55:18 2016
> InstallationDate: Installed on 2016-04-04 (34 days ago)
> InstallationMedia: Ubuntu-Server 16.04 LTS "Xenial Xerus" - Beta amd64 (20160325)
> ProcEnviron:
> TERM=linux
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: ureadahead
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/ureadahead/+bug/1579580/+subscriptions

Kerry Kobashi (kkobashi) wrote :

Installed Ubuntu Desktop 18.0.4 a few days ago and noticed I am getting large syslog files littered also with messages.

I have disabled this:

sudo systemctl disable ureadahead.service

Khurshid Alam (khurshid-alam) wrote :

ureadahead has been already removed from cosmic. If you don't need it, just remove the package.

WinEunuchs2Unix (ricklee518) wrote :

I was checking for my own log messages I was writing and found this:

$ journalctl -b | grep eyesome | grep ureadahead
Oct 07 11:15:25 alien ureadahead[289]: ureadahead:acpi-lid-event-eyesome: Ignored relative path

I found this bug report and ran the recommended check:

$ journalctl -b | grep ureadahead | grep relative | wc -l
6474

As I have multi-boot logging enabled I did some percentage tests:

$ time journalctl | grep ureadahead | grep relative | wc -l
14875

real 0m8.072s
user 0m7.991s
sys 0m3.153s

$ journalctl | wc -l
907683
$ journalctl -b | wc -l
10504

For all boots ureadahead spam is 14875/907683=1.63% of all lines
For current boot ureadahead spam is 6674/10504=63.53% of all lines

I went back through all boot logs:

$ for i in $(seq 1 145); do journalctl -b-$i | grep ureadahead | grep relative | wc -l ; done

Booting 135 times ago also had ureadahead spam:

$ journalctl -b-135 | grep ureadahead | grep relative | wc -l
3751
$ journalctl -b-135 | head
-- Logs begin at Sat 2018-08-04 14:57:01 MDT, end at Sun 2018-10-07 11:31:03 MDT. --
Aug 06 10:35:39 alien systemd-journald[299]: Runtime journal (/run/log/journal/) is 8.0M, max 78.4M, 70.4M free.
Aug 06 10:35:39 alien kernel: microcode: microcode updated early to revision 0xc2, date = 2017-11-16
Aug 06 10:35:39 alien kernel: random: get_random_bytes called from start_kernel+0x42/0x50d with crng_init=0
Aug 06 10:35:39 alien kernel: Linux version 4.13.0-36-generic (buildd@lgw01-amd64-033) (gcc version 5.4.0 20160609 (Ubuntu 5.4.0-6ubuntu1~16.04.9)) #40~16.04.1-Ubuntu SMP Fri Feb 16 23:25:58 UTC 2018 (Ubuntu 4.13.0-36.40~16.04.1-generic 4.13.13)
Aug 06 10:35:39 alien kernel: Command line: BOOT_IMAGE=/boot/vmlinuz-4.13.0-36-generic root=UUID=b40b3925-70ef-447f-923e-1b05467c00e7 ro noplymouth fastboot kaslr acpiphp.disable=1 vt.handoff=7 i915.enable_guc_loading=1 i915.enable_guc_submission=1
Aug 06 10:35:39 alien kernel: KERNEL supported cpus:
Aug 06 10:35:39 alien kernel: Intel GenuineIntel
Aug 06 10:35:39 alien kernel: AMD AuthenticAMD
Aug 06 10:35:39 alien kernel: Centaur CentaurHauls

If someone wants more journalctl details I'd be happy to provide.

Kerry Kobashi (kkobashi) wrote :

Did some testing. Installed Xubuntu 18.04 twice today on an NVme. In both cases, ureadahead messages appeared all over the place in the system log.

When I did this under Ubuntu 18.04 Desktop prior, I had over 250,000 lines of noise. This all works great on the first installation. But after rebooting, all hell breaks loose.

I wiped out everything and installed Debian 9.5. I have not seen any system log messages because Debian doesn't even run its implementation (called readahead). They got rid of it back in 2015:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=796205

What's more important though, is that this bug slid by Q/A staff. I suggest that Canonical Q/A does a clean wipe of their drives and partitions before smoke tests. Then, run their tests and check the system log to see if any problems exist after their runs.

This bug should not have been caught by users. It should have been caught by internal Q/A staff.

Anders Hall (a.hall) wrote :

Also getting these messages (trying to find useful information in syslog due to other issues, found these messages spamming).

NVme as well.

uname -a
Linux computer 4.15.0-36-generic #39-Ubuntu SMP Mon Sep 24 16:19:09 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

#journalctl -m | grep ureadahead | wc -l
30244

After cold boot:
#journalctl -b | grep ureadahead | wc -l
892

@Khurshid Alam Does a workaround exist for getting rid of this on 18.04?

Kerry Kobashi (kkobashi) wrote :

@Anders Hall

You can rid of it by:

systemctl stop ureadahead.service
systemctl disable ureadahead.service
apt-get purge ureadahead.service
Reboot

Check to see if it is running
systemctl status ureadhead.service
ps aux | grep ureadahead

It should be gone.

18.10 is coming out in a few weeks. You can scrub your system and start anew. Download a 18.10 beta daily build and try it, or wait until release.

Szilárd Páll (sin-pecado) wrote :

@kkobashi: are you saying this is a wontfix for 18.04? Can't ureadahead operate in quiet mode?

18.04 LTS 64 bit Server up-to-date

Having the same problem when rebooting ...

uname -a

Linux 4.15.0-47-generic #50-Ubuntu SMP Wed Mar 13 10:44:52 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

lsb_release -a

No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04.2 LTS
Release: 18.04
Codename: bionic

Work-around #3 solved the problem for me. Thanks!

https://askubuntu.com/a/840567 explains very well the question.

Dan Streetman (ddstreet) wrote :

marking upstream ureadahead as won't fix, since it was dropped from Ubuntu starting in Cosmic.

description: updated
Changed in ureadahead (Ubuntu):
status: Confirmed → Won't Fix
Changed in ureadahead (Ubuntu Bionic):
status: New → In Progress
importance: Undecided → Low
assignee: nobody → Dan Streetman (ddstreet)
Robie Basak (racb) wrote :

Another regression possibility is that some user was relying (or will rely) on the more verbose output and it'll no longer be there. For example, are there more useful messages that will also be suppressed with -q?

However, on balance I think this is worth doing regardless, as the spam will make any useful messages not obvious anyway, and the user can always invert the situation by overriding to remove the -q locally.

Robie Basak (racb) wrote :

The version string pattern is very odd, but I guess it's OK given that ureadahead was never published in Debian and the Ubuntu strings have never contained "ubuntu" anyway. Similarly I'd prefer an additional "." to indicate an SRU but the version numbering is so odd anyway it's not clear how to do that. Add -ubuntu0.1? That could be even more confusing. So I'll just accept as-is as I don't see any harm with 0.100.0-21.

Changed in ureadahead (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic

Hello Seth, or anyone else affected,

Accepted ureadahead into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ureadahead/0.100.0-21 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Dan Streetman (ddstreet) on 2019-04-10
description: updated
Dan Streetman (ddstreet) wrote :

(note that /var/lib/ureadahead/pack file removed and then system immediately rebooted before each verification test below)

ubuntu@fili:~$ dpkg -l |grep ureadahead
ii ureadahead 0.100.0-20 amd64 Read required files in advance
ubuntu@fili:~$ journalctl -b | grep ureadahead | wc -l
3203

ubuntu@fili:~$ dpkg -l |grep ureadahead
ii ureadahead 0.100.0-21 amd64 Read required files in advance
ubuntu@fili:~$ journalctl -b | grep ureadahead| wc -l
3

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Dan Streetman (ddstreet) on 2019-04-10
Changed in ureadahead (Ubuntu Xenial):
status: New → In Progress
importance: Undecided → Low
assignee: nobody → Dan Streetman (ddstreet)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ureadahead - 0.100.0-21

---------------
ureadahead (0.100.0-21) bionic; urgency=medium

  * add -q parameter to stop ureadahead from logging thousands of
    lines of noise (LP: #1579580)

 -- Dan Streetman <email address hidden> Tue, 09 Apr 2019 17:01:18 -0400

Changed in ureadahead (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ureadahead has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Hello Seth, or anyone else affected,

Accepted ureadahead into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ureadahead/0.100.0-19.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ureadahead (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-xenial
removed: verification-done
Dan Streetman (ddstreet) on 2019-04-29
description: updated
Dan Streetman (ddstreet) wrote :

ubuntu@fili:~$ dpkg -l |grep ureadahead
ii ureadahead 0.100.0-19 amd64 Read required files in advance
ubuntu@fili:~$ journalctl -b | grep ureadahead | wc -l
4051

(upgraded ureadhead version to -proposed, removed /var/lib/ureadahead/pack, and rebooted)

ubuntu@fili:~$ dpkg -l |grep ureadahead
ii ureadahead 0.100.0-19.1 amd64 Read required files in advance
ubuntu@fili:~$ journalctl -b | grep ureadahead | wc -l
3

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ureadahead - 0.100.0-19.1

---------------
ureadahead (0.100.0-19.1) xenial; urgency=medium

  * add -q parameter to stop ureadahead from logging thousands of
    lines of noise (LP: #1579580)

 -- Dan Streetman <email address hidden> Wed, 10 Apr 2019 13:59:25 -0400

Changed in ureadahead (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.